variable "instance_type" {
  description = "type de l'instance" 
  type        = string
  default     = "e2-small"
}

variable "zone" {
  description = "région"
  type        = string
  default     = "europe-west9-b"
}






variable "project_id" {

  description = "ID du projet GCP dans lequel appliquer les règles IAM"
  type        = string
  default     = "gifted-chimera-424007-g1 "
}









variable "project_name" {
  description = "Nom du projet"
  type        = string
  default     = "My First Project"
}

variable "region" {
  description = "Région"
  type        = string
  default     = "europe-west9"
}

variable "frontend_cidr" {
  description = "CIDR du frontend"
  type        = string
  default     = "10.0.1.0/24"
}

variable "backend_cidr" {
  description = "CIDR du backend"
  type        = string
  default     = "10.0.2.0/24"

}

variable "database_cidr" {
  description = "CIDR de la  database"
  type        = string
  default     = "10.0.3.0/24"
}

variable "ssh_source_ranges" {
  description = "Plages IP autorisées pour SSH"
  type        = string
  default     = "0.0.0.0/0"
  
}

